Перейти к содержимому

Collection analytics devices

GET
/api/v1/collections/{id}/analytics/devices
curl --request GET \
--url 'https://example.com/api/v1/collections/example/analytics/devices?from=2026-02-01T00%3A00%3A00Z&to=2026-02-27T23%3A59%3A59Z&granularity=hour&limit=20&limit_countries=20&limit_cities=20&compare=prev_period' \
--header 'Authorization: Bearer <token>'
id
required
string

Collection UUID

from
string

Example

2026-02-01T00:00:00Z

Start date (ISO 8601). Default: 30 days ago

to
string

Example

2026-02-27T23:59:59Z

End date (ISO 8601). Default: now

granularity
string
default: day
Allowed values: hour day week month
limit
number
default: 20 >= 1 <= 100
limit_countries
number
default: 20 <= 250

Limit for countries (geo endpoint)

limit_cities
number
default: 20 <= 100

Limit for cities (geo endpoint)

countries
Array<string>

Filter by ISO 3166-1 alpha-2 country codes (comma-separated)

compare
string
Allowed values: prev_period prev_year

Compare with a previous period

Aggregated devices